PPSERVER(1)

NAME
ppserver - PPFT (Parallel Python) Network Server

SYNOPSIS
ppserver [-hdar] [-f format] [-n proto] [-c config_path] [-i interface] [-b broadcast] [-p port] [-w nworkers] [-s secret] [-t seconds] [-k seconds] [-P pid_file]

DESCRIPTION
Parallel Python Network Server (pp-1.7.6.8)

OPTIONS

-h : this help message

-d : set log level to debug

-f format : log format

-a : enable auto-discovery service

-r : restart worker process after each task completion

-n proto : protocol number for pickle module

-c path : path to config file

-i interface : interface to listen

-b broadcast : broadcast address for auto-discovery service

-p port : port to listen

-w nworkers : number of workers to start

-s secret : secret for authentication

-t seconds : timeout to exit if no connections with clients exist

-k seconds : socket timeout in seconds

-P pid_file : file to write PID to

To print server stats send SIGUSR1 to its main process (unix only).

Due to the security concerns always use a non-trivial secret key. Secret key set by -s switch will override secret key assigned by pp_secret variable in .pythonrc.py

Please visit http://www.parallelpython.com for extended up-to-date documentation, examples and support forums